package cn.ibizlab.r7.runtime.core.r7rt_base.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.r7rt_base.domain.UniRes;
import cn.ibizlab.r7.runtime.core.r7rt_base.filter.UniResSearchContext;

/**
 * 实体[UniRes] 服务对象接口
 */

public interface IUniResService{
     boolean remove(String uniResId) ;
     boolean save(UniRes uniRes) ;
     boolean update(UniRes uniRes) ;
     UniRes get(String uniResId) ;
     UniRes get(UniRes uniRes) ;
     boolean create(UniRes uniRes) ;
     UniRes getDraft(UniRes uniRes) ;
     UniRes getResource(UniRes uniRes) ;
     boolean checkKey(UniRes uniRes) ;

    /**
     * 查询集合 查询全部实体结果
     */
    Page<UniRes> searchSelectUniresAll(UniResSearchContext context) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<UniRes> searchDefault(UniResSearchContext context) ;

    /**
     * 根据业务系统查询
     */
     Page<UniRes> selectBySystem(String systemid) ;
     List<UniRes> selectBySystem2(String systemid);

}
